Bug 466079 - (CVE-2008-4576) CVE-2008-4576 kernel: sctp: Fix oops when INIT-ACK indicates that peer doesn't support AUTH
CVE-2008-4576 kernel: sctp: Fix oops when INIT-ACK indicates that peer doesn'...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20080918,repo...
: Security
Depends On: 466080 466081 466082
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 03:22 EDT by Eugene Teo (Security Response)
Modified: 2010-12-21 12:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 12:47:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed backport patch for realtime kernel (1.54 KB, patch)
2008-10-08 04:10 EDT, Eugene Teo (Security Response)
no flags Details | Diff

  None (edit)
Description Eugene Teo (Security Response) 2008-10-08 03:22:58 EDT
Description of problem:
If INIT-ACK is received with SupportedExtensions parameter which indicates that the peer does not support AUTH, the packet will be silently ignore, and sctp_process_init() do cleanup all of the transports in the association. When T1-Init timer is expires, OOPS happen while we try to choose a different init transport.

The solution is to only clean up the non-active transports, i.e the ones that the peer added.  However, that introduces a problem with sctp_connectx(), because we don't mark the proper state for the transports provided by the user.  So, we'll simply mark user-provided transports as ACTIVE.  That will allow INIT retransmissions to work properly in the sctp_connectx() context and prevent the crash.
Comment 2 Eugene Teo (Security Response) 2008-10-08 03:26:11 EDT
Reference:
http://article.gmane.org/gmane.comp.security.oss.general/1039
Comment 4 Eugene Teo (Security Response) 2008-10-08 04:10:12 EDT
Created attachment 319734 [details]
Proposed backport patch for realtime kernel
Comment 5 Fedora Update System 2008-10-23 12:38:01 EDT
kernel-2.6.26.6-49.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Luis Claudio R. Goncalves 2008-10-28 20:24:15 EDT
MRG patch added to -90
Comment 9 Vincent Danen 2010-12-21 12:47:04 EST
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2008:1017)
MRG Realtime for RHEL 5 Server (RHSA-2009:0009)

Note You need to log in before you can comment on or make changes to this bug.